## r-cran-jquerylib 0.1.4+dfsg

=== DESCRIPTION ===
Package: jquerylib
Title: Obtain 'jQuery' as an HTML Dependency Object
Version: 0.1.4
Authors@R: c(
    person("Carson", "Sievert", role = c("aut", "cre"), email = "carson@rstudio.com", comment = c(ORCID = "0000-0002-4958-2844")),
    person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
    person(family = "RStudio", role = "cph"),
    person(family = "jQuery Foundation", role = "cph",
    comment = "jQuery library and jQuery UI library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"),
    comment = "jQuery library; authors listed in inst/lib/jquery-AUTHORS.txt")
    )
Description: Obtain any major version of 'jQuery' (<https://code.jquery.com/>) and use it in any webpage generated by 'htmltools' (e.g. 'shiny', 'htmlwidgets', and 'rmarkdown').
    Most R users don't need to use this package directly, but other R packages (e.g. 'shiny', 'rmarkdown', etc.) depend on this package to avoid bundling redundant copies of 'jQuery'.
License: MIT + file LICENSE
Encoding: UTF-8
Config/testthat/edition: 3
RoxygenNote: 7.0.2
Imports: htmltools
Suggests: testthat
NeedsCompilation: no
Packaged: 2021-04-26 16:40:21 UTC; cpsievert
Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  Joe Cheng [aut],
  RStudio [cph],
  jQuery Foundation [cph] (jQuery library and jQuery UI library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/lib/jquery-AUTHORS.txt)
Maintainer: Carson Sievert <carson@rstudio.com>
Repository: CRAN
Date/Publication: 2021-04-26 17:10:02 UTC

## r-cran-jquerylib 0.1.4%2Bdfsg

=== debian/control ===
Source: r-cran-jquerylib
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Steffen Moeller <moeller@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-htmltools,
               libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jquerylib
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jquerylib.git
Homepage: https://cran.r-project.org/package=jquerylib
Rules-Requires-Root: no

Package: r-cran-jquerylib
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: obtain 'jQuery' as an HTML dependency object in GNU R
 Obtain any major version of 'jQuery' (<https://code.jquery.com/>) and
 use it in any webpage generated by 'htmltools' (e.g. 'shiny',
 'htmlwidgets', and 'rmarkdown'). Most R users don't need to use this
 package directly, but other R packages (e.g. 'shiny', 'rmarkdown', etc.)
 depend on this package to avoid bundling redundant copies of 'jQuery'.
 .
 This package contains those minor versions of the three major jQuery
 versions (1, 2 and 3) that are used consitently by CRAN packages.  Using
 the Debian packaged jQuery versions is not possible since not all
 major versions are shipped any more (currently only version 3) and the
 minor version might diverge.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
JQUERY_VERSION := $(shell dpkg -s libjs-jquery | awk '/^Version:/ {print $$2}' | cut -d'+' -f1 | cut -d'-' -f1)

%:
	dh $@ --buildsystem R

override_dh_link: debian/r-cran-jquerylib.links
	dh_link

debian/%.links: debian/%.links.in
	sed -e 's/@JQUERY_VERSION@/$(JQUERY_VERSION)/g' $< > $@

## r-cran-jquerylib 0.1.4+dfsg

=== debian/changelog ===
r-cran-jquerylib (0.1.4+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Rebuild with jquery 3.7 (Closes: #1114889), and use a substvar for
    the Depends version so future such rebuilds can be no-change.
  * Correct description: all released versions of this provide only
    the Debian-packaged version of jquery.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Add more upstream metadata.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 23 Sep 2025 21:18:38 +0100

r-cran-jquerylib (0.1.4+dfsg-4) unstable; urgency=medium

  * Bump versioned B-D and Dep in libjs-jquery (Closes: #1019512)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Sep 2022 22:36:33 +0530

r-cran-jquerylib (0.1.4+dfsg-3) unstable; urgency=medium

  * Bump versioned B-D on jquerylib on new upload

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Feb 2022 15:59:00 +0530

r-cran-jquerylib (0.1.4+dfsg-2) unstable; urgency=medium

  * Versioned B-D on libjs-jquery
  * Add autopkgtests to catch version unsync of jquerylib
  * Minor typo in patch fixed
  * Add myself to copyright and uploaders

 -- Nilesh Patra <nilesh@debian.org>  Tue, 01 Feb 2022 00:57:43 +0530

r-cran-jquerylib (0.1.4+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #994867)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Nov 2021 18:28:19 +0100

=== debian/control ===
Source: r-cran-jquerylib
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Steffen Moeller <moeller@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-htmltools,
# at least the version that upstream bundle (see R/jquery.R)
               libjs-jquery (>= 3.6.0~)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jquerylib
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jquerylib.git
Homepage: https://cran.r-project.org/package=jquerylib
Rules-Requires-Root: no

Package: r-cran-jquerylib
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-jquery (>= ${jquery-builtwith-version}~)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: obtain 'jQuery' as an HTML dependency object in GNU R
 Load 'jQuery' (<https://code.jquery.com/>) and
 use it in any webpage generated by 'htmltools' (e.g. 'shiny',
 'htmlwidgets', and 'rmarkdown'). Most R users don't need to use this
 package directly, but other R packages (e.g. 'shiny', 'rmarkdown', etc.)
 depend on this package to avoid bundling redundant copies of 'jQuery'.
 .
 This package provides the version of jQuery that is packaged in Debian,
 which may differ from the versions provided by the upstream package.

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 debian/%.links: debian/%.links.in
 	sed -e 's/@JQUERY_VERSION@/$(JQUERY_VERSION)/g' $< > $@
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vjquery-builtwith-version=$(JQUERY_VERSION)

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

Tests: check-compiled-versions
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/jquerylib_([-\d.]*)\.tar\.gz
